Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Echo Request Option

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Mon, 1 May 2006 19:30:59 -0400

Yes, that is incorrect. Thanks for noticing.

It should be just Relay-Repl (ie, this processing happens when the
server is constructing a Relay-Repl to send in response to the received
Relay-Forw).

- Bernie

> -----Original Message-----
> From: Amy [mailto:[email-masked]] 
> Sent: Sunday, April 30, 2006 4:57 AM
> To: [email-masked]
> Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Echo Request Option
> 
> Hi,all
> 
>     I just reading the draft 
> "draft-szeng-dhc-dhcpv6-ero-00.txt", and I
> have a question:
>     
>     In rfc 3315, section 15.14 Relay-reply Message, Page 32, there is
> the following text:
> 
> 	"Clients and servers MUST discard any received Relay-reply
> messages."
> 
>     but in the draft , section 5.DHCPv6 Server Behavior, Page 
>  4, there
> is the following text:
> 	
> 	"A server SHOULD perform ERO processing after processing the ORO
> and
>    	other options processing with respect to the Relay-Reply.  For
> each
>    	option in the ERO:
>    	a.  If the option is already in the received Relay-Reply, the
> server
>        	MUST ignore that option and continue to process 
> any remaining
>        	options in the ERO."
>    
>      Whether there is an error in above text, not ""received
> Relay-Reply", but other words?
> 
>     is it right?
> 
> Thanks!
> 
> Amy
> 	
> > -----Original Message-----
> > From: Shengyou Zeng (szeng) [mailto:[email-masked]] 
> > Sent: Saturday, April 29, 2006 4:54 AM
> > To: [email-masked]
> > Subject: [dhcwg] [New I-D] DHCPv6 Relay Agent Echo Request Option
> > 
> > 
> > We posted a new I-D as follows.  We would appreciate your comments.
> > 
> > Title: DHCPv6 Relay Agent Echo Request Option
> > Abstract:
> > This memo defines a Relay Agent Echo Request option for the 
> > Dynamic Host Configuration Protocol for IPv6 (DHCPv6). The 
> > option allows a DHCPv6 relay agent to request a list of relay 
> > agent options that the server echoes back to the relay agent.
> > Author(s): Shengyou Zeng, Kim Kinnear, Bernie Volz, John Brzozowski
> > 
> > URL: 
> > 
> http://www.ietf.org/internet-drafts/draft-szeng-dhc-dhcpv6-ero-00.txt
> > 
> > Thanks.
> > 
> > -Shengyou
> > 
> > _______________________________________________
> > dhcwg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/dhcwg
> > 
> 
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg